<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\MitarbeiterUebersicht\MitarbeiterNoten;

class FaecherEinfachView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'firma/mitarbeiter_noten/faecher_einfach.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    $dm = new \Datamodul();
    foreach (get_object_vars($this->viewModel) as $key => $value) {
      $dm->{$key} = $value;
    }

    return array($dm);
  }
}

class FaecherEinfachViewModel
{
  public $index;
  public $fachName;
  public $noten_anzahl;
  public $noten_durchschnitt;
}